
Name:           scrot
Summary:        SCReenshOT - command line screen capture utility
Version:        1.3
Release:        %mkrel 2
License:        MIT
Group:          Graphics/Utilities
Url:            https://github.com/resurrecting-open-source-projects/scrot
Source0:        https://github.com/resurrecting-open-source-projects/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(giblib)
BuildRequires:  autoconf
BuildRequires:  autoconf-archive
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xcursor)

%description
scrot (SCReenshOT) is a simple command line screen capture
utility that uses imlib2 to grab and save images. Multiple
image formats are supported through imlib2's dynamic saver
modules.

Some features of the scrot:
  - support to multiple image formats (JPG, PNG, GIF, etc.).
  - optimization of the screen shots image quality.
  - capture a specific window or a rectangular area on the
    screen with the help of switch.

scrot also can be used to monitor a desktop PC in admin absent
and register unwanted activities.

%prep
%autosetup -p1

%build
./autogen.sh
%configure

%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog README.md TODO CONTRIBUTING.md
%_bindir/%name
%_mandir/man1/%name.1.*


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 1.3-2.mga9
+ Revision: 1831554
- Mageia 9 Mass Rebuild

* Fri Apr 17 2020 barjac <barjac> 1.3-1.mga8
+ Revision: 1568312
- new version 1.3
- new Source0 and Url
- License now MIT
- new buildrequires
- improved description
- cleaned spec
- added/edited docs
- use upstream autogen.sh

* Fri Feb 14 2020 umeabot <umeabot> 0.8-11.mga8
+ Revision: 1516900
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.8-10.mga7
+ Revision: 1300963
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Sat Feb 06 2016 umeabot <umeabot> 0.8-9.mga6
+ Revision: 941833
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8-8.mga5
+ Revision: 750476
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8-7.mga5
+ Revision: 689084
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8-6.mga4
+ Revision: 518198
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.8-5.mga3
+ Revision: 381917
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Sat Dec 08 2012 malo <malo> 0.8-4.mga3
+ Revision: 328946
- spec clean-up
- update RPM group

* Tue Feb 22 2011 dmorgan <dmorgan> 0.8-3.mga1
+ Revision: 56425
- imported package scrot


* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.8-3mdv2010.0
+ Revision: 433631
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.8-2mdv2009.0
+ Revision: 140776
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 15 2007 Pascal Terjan <pterjan@mandriva.org> 0.8-2mdv2008.0
+ Revision: 63819
- Fix manpage listing
- Tag the documentation as doc
- Use autoconf 2.5
- Improve description wraping
- Import scrot



* Mon Apr 03 2006 Sebastien Savarin <plouf@mandriva.org> 0.8-1mdk
- First Mandriva Linux release
